diff -ur --exclude='*~' DarwinStreamingSrvr6.0.3-Source.orig/APICommonCode/QTAccessFile.cpp DarwinStreamingSrvr6.0.3-Source/APICommonCode/QTAccessFile.cpp
--- DarwinStreamingSrvr6.0.3-Source.orig/APICommonCode/QTAccessFile.cpp	2008-05-06 01:28:57.000000000 +0200
+++ DarwinStreamingSrvr6.0.3-Source/APICommonCode/QTAccessFile.cpp	2008-05-24 03:23:13.000000000 +0200
@@ -46,7 +46,9 @@
 
 
 #include <grp.h>
+#ifdef __MacOSX__
 #include <membership.h>
+#endif
 #include <pwd.h>
 #include <signal.h>
 #include <unistd.h>
@@ -613,6 +615,7 @@
 
 bool DSAccessFile::CheckGroupMembership(const char* inUsername, const char* inGroupName)
 {   
+#ifdef __MacOSX__
 	// In Tiger, group membership is painfully simple: we ask memberd for it!
 	struct passwd	*user		= NULL;
 	struct group	*group		= NULL;
@@ -641,6 +644,9 @@
 	if ( mbr_check_membership(userID, groupID, &isMember) )
 		return false;
 	return (bool)isMember;
+#else
+	return true;
+#endif
 }
 
 Bool16 DSAccessFile::ValidUser( char*userName, void* extraDataPtr)
diff -ur --exclude='*~' DarwinStreamingSrvr6.0.3-Source.orig/CommonUtilitiesLib/OSHeaders.h DarwinStreamingSrvr6.0.3-Source/CommonUtilitiesLib/OSHeaders.h
--- DarwinStreamingSrvr6.0.3-Source.orig/CommonUtilitiesLib/OSHeaders.h	2008-05-06 01:28:59.000000000 +0200
+++ DarwinStreamingSrvr6.0.3-Source/CommonUtilitiesLib/OSHeaders.h	2008-05-24 02:05:15.000000000 +0200
@@ -120,7 +120,6 @@
 
     
 #elif __linux__ || __linuxppc__ || __FreeBSD__
-    
     /* Defines */
     #define _64BITARG_ "q"
     #define _S64BITARG_ "lld"
@@ -128,9 +127,13 @@
 #if __LP64__
 	#define _S32BITARG_ "d"
 	#define _U32BITARG_ "u"
+        #define _SPOINTERSIZEARG_ _S64BITARG_
+        #define _UPOINTERSIZEARG_ _U64BITARG_
 #else
-	#define _S32BITARG_ "ld"
-	#define _U32BITARG_ "lu"
+	#define _S32BITARG_ "d"
+	#define _U32BITARG_ "u"
+        #define _SPOINTERSIZEARG_ _S32BITARG_
+        #define _UPOINTERSIZEARG_ _U32BITARG_
 #endif
 
     /* paths */
@@ -141,6 +144,7 @@
 
     /* Includes */
     #include <sys/types.h>
+    #include <stdint.h>
     
     /* Constants */
     #define QT_TIME_TO_LOCAL_TIME   (-2082844800)
@@ -149,14 +153,14 @@
     /* Typedefs */
     typedef signed long         PointerSizedInt;
     typedef unsigned long       PointerSizedUInt;
-    typedef unsigned char       UInt8;
-    typedef signed char         SInt8;
-    typedef unsigned short      UInt16;
-    typedef signed short        SInt16;
-    typedef unsigned int	UInt32;
-    typedef signed int		SInt32;
-    typedef signed int int 	SInt64;
-    typedef unsigned int int 	UInt64;
+    typedef uint8_t             UInt8;
+    typedef int8_t              SInt8;
+    typedef uint16_t            UInt16;
+    typedef int16_t             SInt16;
+    typedef uint32_t            UInt32;
+    typedef int32_t		SInt32;
+    typedef int64_t             SInt64;
+    typedef uint64_t            UInt64;
     typedef float               Float32;
     typedef double              Float64;
     typedef UInt16              Bool16;
@@ -177,11 +181,14 @@
         
     #define TW0_CHARS_TO_INT( c1, c2 )  ( c1 << 8 | c2 )
 
+    #define kSInt16_Max USHRT_MAX
+    #define kUInt16_Max USHRT_MAX
 
+    #define kSInt32_Max LONG_MAX
+    #define kUInt32_Max ULONG_MAX
 
-
-
-
+    #define kSInt64_Max LONG_LONG_MAX
+    #define kUInt64_Max ULONG_LONG_MAX
 
 #elif __Win32__
     
diff -ur --exclude='*~' DarwinStreamingSrvr6.0.3-Source.orig/CommonUtilitiesLib/OSRef.h DarwinStreamingSrvr6.0.3-Source/CommonUtilitiesLib/OSRef.h
--- DarwinStreamingSrvr6.0.3-Source.orig/CommonUtilitiesLib/OSRef.h	2008-05-06 01:28:59.000000000 +0200
+++ DarwinStreamingSrvr6.0.3-Source/CommonUtilitiesLib/OSRef.h	2008-05-23 22:28:51.000000000 +0200
@@ -45,6 +45,7 @@
 #include "StrPtrLen.h"
 #include "OSHashTable.h"
 #include "OSCond.h"
+#include "OSHeaders.h"
 
 class OSRefKey;
 
diff -ur --exclude='*~' DarwinStreamingSrvr6.0.3-Source.orig/Makefile.POSIX DarwinStreamingSrvr6.0.3-Source/Makefile.POSIX
--- DarwinStreamingSrvr6.0.3-Source.orig/Makefile.POSIX	2007-11-16 06:17:59.000000000 +0100
+++ DarwinStreamingSrvr6.0.3-Source/Makefile.POSIX	2008-05-24 07:19:34.000000000 +0200
@@ -42,7 +42,6 @@
 CCFLAGS += -IRTPMetaInfoLib
 CCFLAGS += -IPrefsSourceLib
 CCFLAGS += -IServer.tproj
-
 # EACH DIRECTORY WITH A STATIC LIBRARY MUST BE APPENDED IN THIS MANNER TO THE LINKOPTS
 
 LINKOPTS = -LCommonUtilitiesLib
@@ -52,38 +51,42 @@
 
 CFILES = CommonUtilitiesLib/daemon.c
 
-CPPFILES = 	Server.tproj/QTSSExpirationDate.cpp\
+CPPFILES =              Server.tproj/GenerateXMLPrefs.cpp \
+			Server.tproj/main.cpp \
 			Server.tproj/QTSSCallbacks.cpp \
-			Server.tproj/QTSSDictionary.cpp\
 			Server.tproj/QTSSDataConverter.cpp \
+			Server.tproj/QTSSDictionary.cpp \
 			Server.tproj/QTSSErrorLogModule.cpp \
-			Server.tproj/QTSSMessages.cpp\
+			Server.tproj/QTSServer.cpp \
+			Server.tproj/QTSServerInterface.cpp \
+			Server.tproj/QTSServerPrefs.cpp \
+			Server.tproj/QTSSExpirationDate.cpp \
+			Server.tproj/QTSSFile.cpp \
+			Server.tproj/QTSSMessages.cpp \
 			Server.tproj/QTSSModule.cpp \
-			Server.tproj/QTSServerPrefs.cpp\
-			Server.tproj/QTSSSocket.cpp\
-			Server.tproj/QTSSFile.cpp\
 			Server.tproj/QTSSPrefs.cpp \
-			Server.tproj/QTSServer.cpp\
-			Server.tproj/QTSServerInterface.cpp \
-			Server.tproj/RTCPTask.cpp\
-			Server.tproj/RTPSession.cpp \
-			Server.tproj/RTPPacketResender.cpp \
+			Server.tproj/QTSSSocket.cpp \
+			Server.tproj/QTSSUserProfile.cpp \
+			Server.tproj/RTCPTask.cpp \
 			Server.tproj/RTPBandwidthTracker.cpp \
 			Server.tproj/RTPOverbufferWindow.cpp \
-			Server.tproj/RTPSessionInterface.cpp\
+			Server.tproj/RTPPacketResender.cpp \
+			Server.tproj/RTPSession3GPP.cpp \
+			Server.tproj/RTPSession.cpp \
+			Server.tproj/RTPSessionInterface.cpp \
+			Server.tproj/RTPStream3gpp.cpp \
 			Server.tproj/RTPStream.cpp \
-			Server.tproj/RTSPProtocol.cpp\
+			Server.tproj/RTSPProtocol.cpp \
+			Server.tproj/RTSPRequest3GPP.cpp \
 			Server.tproj/RTSPRequest.cpp \
-			Server.tproj/RTSPRequestInterface.cpp\
+			Server.tproj/RTSPRequestInterface.cpp \
 			Server.tproj/RTSPRequestStream.cpp \
-			Server.tproj/RTSPResponseStream.cpp\
+			Server.tproj/RTSPResponseStream.cpp \
+			Server.tproj/RTSPSession3GPP.cpp \
 			Server.tproj/RTSPSession.cpp \
-			Server.tproj/RTSPSessionInterface.cpp\
-			Server.tproj/main.cpp \
+			Server.tproj/RTSPSessionInterface.cpp \
 			Server.tproj/RunServer.cpp \
-			Server.tproj/GenerateXMLPrefs.cpp \
-			Server.tproj/QTSSUserProfile.cpp\
-			PrefsSourceLib/FilePrefsSource.cpp\
+			PrefsSourceLib/FilePrefsSource.cpp \
 			PrefsSourceLib/XMLPrefsParser.cpp \
 			PrefsSourceLib/XMLParser.cpp \
 			OSMemoryLib/OSMemory.cpp \
@@ -91,17 +94,20 @@
 			RTSPClientLib/ClientSocket.cpp \
 			HTTPUtilitiesLib/HTTPProtocol.cpp \
 			HTTPUtilitiesLib/HTTPRequest.cpp \
-			RTCPUtilitiesLib/RTCPAPPPacket.cpp\
+			RTCPUtilitiesLib/RTCPAckPacket.cpp \
+			RTCPUtilitiesLib/RTCPAPPNADUPacket.cpp \
+			RTCPUtilitiesLib/RTCPAPPPacket.cpp \
+			RTCPUtilitiesLib/RTCPAPPQTSSPacket.cpp \
 			RTCPUtilitiesLib/RTCPPacket.cpp \
-			RTCPUtilitiesLib/RTCPSRPacket.cpp\
-			RTCPUtilitiesLib/RTCPAckPacket.cpp\
-			RTPMetaInfoLib/RTPMetaInfoPacket.cpp\
+			RTCPUtilitiesLib/RTCPSRPacket.cpp \
+			RTPMetaInfoLib/RTPMetaInfoPacket.cpp \
 			APIStubLib/QTSS_Private.cpp \
 			APICommonCode/QTSSModuleUtils.cpp\
 			APICommonCode/QTSSRollingLog.cpp \
 			APICommonCode/SDPSourceInfo.cpp \
 			APICommonCode/SourceInfo.cpp \
 			APICommonCode/QTAccessFile.cpp \
+			APICommonCode/QTSS3GPPModuleUtils.cpp \
 			SafeStdLib/InternalStdLib.cpp \
 			APIModules/QTSSAccessLogModule/QTSSAccessLogModule.cpp \
 			APIModules/QTSSFileModule/QTSSFileModule.cpp \
@@ -129,7 +135,7 @@
 			APIModules/QTSSAccessModule/QTSSAccessModule.cpp \
 			APIModules/QTSSHttpFileModule/QTSSHttpFileModule.cpp \
 			APIModules/QTSSAccessModule/AccessChecker.cpp
-			
+
 # CCFLAGS += $(foreach dir,$(HDRS),-I$(dir))
 
 LIBFILES = 	QTFileLib/libQTFileLib.a \
diff -ur --exclude='*~' DarwinStreamingSrvr6.0.3-Source.orig/RTSPClientLib/PlayerSimulator.h DarwinStreamingSrvr6.0.3-Source/RTSPClientLib/PlayerSimulator.h
--- DarwinStreamingSrvr6.0.3-Source.orig/RTSPClientLib/PlayerSimulator.h	2008-05-06 01:29:00.000000000 +0200
+++ DarwinStreamingSrvr6.0.3-Source/RTSPClientLib/PlayerSimulator.h	2008-05-24 02:08:45.000000000 +0200
@@ -31,7 +31,7 @@
 #ifndef _PLAYERSIMULATOR_H_
 #define _PLAYERSIMULATOR_H_
 
-#include "SafeStdLib.h""
+#include "SafeStdLib.h"
 #include "OSHeaders.h"
 #include "OS.h"
 #include "SVector.h"
diff -ur --exclude='*~' DarwinStreamingSrvr6.0.3-Source.orig/Server.tproj/QTSSErrorLogModule.cpp DarwinStreamingSrvr6.0.3-Source/Server.tproj/QTSSErrorLogModule.cpp
--- DarwinStreamingSrvr6.0.3-Source.orig/Server.tproj/QTSSErrorLogModule.cpp	2008-05-06 01:28:59.000000000 +0200
+++ DarwinStreamingSrvr6.0.3-Source/Server.tproj/QTSSErrorLogModule.cpp	2008-05-24 02:58:48.000000000 +0200
@@ -265,7 +265,11 @@
     
                 sDupErrorStringCount = 0;
             }
-            ::strlcpy(sLastErrorString, inParamBlock->errorParams.inBuffer, sizeof(sLastErrorString));
+#if __MacOSX__
+            strlcpy(sLastErrorString, inParamBlock->errorParams.inBuffer, sizeof(sLastErrorString));
+#else
+            strncpy(sLastErrorString, inParamBlock->errorParams.inBuffer, sizeof(sLastErrorString) -1);
+#endif
         
         }
 
diff -ur --exclude='*~' DarwinStreamingSrvr6.0.3-Source.orig/Server.tproj/QTSServer.cpp DarwinStreamingSrvr6.0.3-Source/Server.tproj/QTSServer.cpp
--- DarwinStreamingSrvr6.0.3-Source.orig/Server.tproj/QTSServer.cpp	2008-05-06 01:28:59.000000000 +0200
+++ DarwinStreamingSrvr6.0.3-Source/Server.tproj/QTSServer.cpp	2008-05-24 07:24:39.000000000 +0200
@@ -70,7 +70,9 @@
 #include "QTSSAdminModule.h"
 #include "QTSSAccessModule.h"
 #include "QTSSMP3StreamingModule.h"
+#if __MacOSX__
 #include "QTSSDSAuthModule.h"
+#endif
 #if MEMORY_DEBUGGING
 #include "QTSSWebDebugModule.h"
 #endif
@@ -85,7 +87,7 @@
 #include "RTCPTask.h"
 #include "QTSSFile.h"
 
-#include "RTPStream3GPP.h"
+#include "RTPStream3gpp.h"
 #include "RTSPRequest3GPP.h"
 
 // CLASS DEFINITIONS
@@ -680,9 +682,11 @@
     (void)AddModule(theWebDebug);
 #endif
 
+#if __MacOSX__
     QTSSModule* theQTSSDSAuthModule = new QTSSModule("QTSSDSAuthModule");
     (void)theQTSSDSAuthModule->SetupModule(&sCallbacks, &QTSSDSAuthModule_Main);
     (void)AddModule(theQTSSDSAuthModule); 
+#endif
 
     QTSSModule* theQTACCESSmodule = new QTSSModule("QTSSAccessModule");
     (void)theQTACCESSmodule->SetupModule(&sCallbacks, &QTSSAccessModule_Main);
diff -ur --exclude='*~' DarwinStreamingSrvr6.0.3-Source.orig/Server.tproj/RTPSession.cpp DarwinStreamingSrvr6.0.3-Source/Server.tproj/RTPSession.cpp
--- DarwinStreamingSrvr6.0.3-Source.orig/Server.tproj/RTPSession.cpp	2008-05-06 01:28:59.000000000 +0200
+++ DarwinStreamingSrvr6.0.3-Source/Server.tproj/RTPSession.cpp	2008-05-24 02:39:34.000000000 +0200
@@ -38,7 +38,7 @@
 #include "RTSPProtocol.h" 
 #include "QTSServerInterface.h"
 #include "QTSS.h"
-#include "RTSPRequest3gpp.h"
+#include "RTSPRequest3GPP.h"
 
 #include "OS.h"
 #include "OSMemory.h"
diff -ur --exclude='*~' DarwinStreamingSrvr6.0.3-Source.orig/Server.tproj/RTPStream3gpp.cpp DarwinStreamingSrvr6.0.3-Source/Server.tproj/RTPStream3gpp.cpp
--- DarwinStreamingSrvr6.0.3-Source.orig/Server.tproj/RTPStream3gpp.cpp	2008-05-06 01:28:59.000000000 +0200
+++ DarwinStreamingSrvr6.0.3-Source/Server.tproj/RTPStream3gpp.cpp	2008-05-24 02:48:52.000000000 +0200
@@ -34,7 +34,7 @@
 #include "RTPStream.h"
 #include "RTPStream3gpp.h"
 #include "RTPSessionInterface.h"
-#include "RTSPRequest3gpp.h"
+#include "RTSPRequest3GPP.h"
 #include "RTCPAPPNADUPacket.h"
 
 #if DEBUG
diff -ur --exclude='*~' DarwinStreamingSrvr6.0.3-Source.orig/Server.tproj/RTPStream.h DarwinStreamingSrvr6.0.3-Source/Server.tproj/RTPStream.h
--- DarwinStreamingSrvr6.0.3-Source.orig/Server.tproj/RTPStream.h	2008-05-06 01:28:59.000000000 +0200
+++ DarwinStreamingSrvr6.0.3-Source/Server.tproj/RTPStream.h	2008-05-24 02:36:24.000000000 +0200
@@ -57,7 +57,7 @@
 
 #include "RTCPPacket.h"
 
-#include "RTSPRequest3gpp.h"
+#include "RTSPRequest3GPP.h"
 
 #ifndef MIN
 #define	MIN(a,b) (((a)<(b))?(a):(b))
diff -ur --exclude='*~' DarwinStreamingSrvr6.0.3-Source.orig/Server.tproj/RTSPRequest3GPP.cpp DarwinStreamingSrvr6.0.3-Source/Server.tproj/RTSPRequest3GPP.cpp
--- DarwinStreamingSrvr6.0.3-Source.orig/Server.tproj/RTSPRequest3GPP.cpp	2008-05-06 01:28:59.000000000 +0200
+++ DarwinStreamingSrvr6.0.3-Source/Server.tproj/RTSPRequest3GPP.cpp	2008-05-24 02:49:26.000000000 +0200
@@ -32,7 +32,7 @@
 */
 
 
-#include "RTSPRequest3gpp.h"
+#include "RTSPRequest3GPP.h"
 #include "RTSPProtocol.h"
 #include "QTSServerInterface.h"
 
diff -ur --exclude='*~' DarwinStreamingSrvr6.0.3-Source.orig/StreamingLoadTool/Makefile.POSIX DarwinStreamingSrvr6.0.3-Source/StreamingLoadTool/Makefile.POSIX
--- DarwinStreamingSrvr6.0.3-Source.orig/StreamingLoadTool/Makefile.POSIX	2007-11-16 06:17:36.000000000 +0100
+++ DarwinStreamingSrvr6.0.3-Source/StreamingLoadTool/Makefile.POSIX	2008-05-24 02:32:03.000000000 +0200
@@ -17,6 +17,7 @@
 CCFLAGS += -I..
 CCFLAGS += -I../OSMemoryLib
 CCFLAGS += -I../RTSPClientLib
+CCFLAGS += -I../RTCPUtilitiesLib
 CCFLAGS += -I../APICommonCode
 CCFLAGS += -I../CommonUtilitiesLib
 CCFLAGS += -I../PrefsSourceLib
@@ -36,6 +37,12 @@
 			../RTSPClientLib/ClientSocket.cpp \
 			../RTSPClientLib/RTSPClient.cpp \
 			../RTSPClientLib/ClientSession.cpp \
+			../RTCPUtilitiesLib/RTCPAckPacket.cpp \
+			../RTCPUtilitiesLib/RTCPAPPNADUPacket.cpp \
+			../RTCPUtilitiesLib/RTCPAPPPacket.cpp \
+			../RTCPUtilitiesLib/RTCPAPPQTSSPacket.cpp \
+			../RTCPUtilitiesLib/RTCPPacket.cpp \
+			../RTCPUtilitiesLib/RTCPSRPacket.cpp \
 			../PrefsSourceLib/FilePrefsSource.cpp \
 			../APICommonCode/SDPSourceInfo.cpp \
 			../APICommonCode/SourceInfo.cpp \
diff -ur --exclude='*~' DarwinStreamingSrvr6.0.3-Source.orig/StreamingLoadTool/StreamingLoadTool.cpp DarwinStreamingSrvr6.0.3-Source/StreamingLoadTool/StreamingLoadTool.cpp
--- DarwinStreamingSrvr6.0.3-Source.orig/StreamingLoadTool/StreamingLoadTool.cpp	2008-05-06 01:28:57.000000000 +0200
+++ DarwinStreamingSrvr6.0.3-Source/StreamingLoadTool/StreamingLoadTool.cpp	2008-05-24 02:22:13.000000000 +0200
@@ -743,7 +743,7 @@
             
             bitsReceived += .5;
             
- 			printf("%5lu %6lu %8lu %6lu %6lu %6lu %9.0fk\n",
+ 			printf("%5"_U32BITARG_" %6"_U32BITARG_" %8"_U32BITARG_" %6"_U32BITARG_" %6"_U32BITARG_" %6"_U32BITARG_" %9.0fk\n",
 				ClientSession:: GetActiveConnections (),
 				ClientSession:: GetPlayingConnections (),
 				ClientSession:: GetConnectionAttempts (),
@@ -811,7 +811,7 @@
 	if (sLog != NULL)
 		::fclose(sLog);
 		
-	printf("%5lu %6lu %8lu %6lu %6lu %6lu %9.0fk\n",
+	printf("%5"_U32BITARG_" %6"_U32BITARG_" %8"_U32BITARG_" %6"_U32BITARG_" %6"_U32BITARG_" %6"_U32BITARG_" %9.0fk\n",
 		ClientSession:: GetActiveConnections (),
 		ClientSession:: GetPlayingConnections (),
 		ClientSession:: GetConnectionAttempts (),
